Log4j 1.2.7

## org.apache.log4j.spi
Interface TriggeringEventEvaluator

public interface TriggeringEventEvaluator

Implementions of this interface allow certain appenders to decide when to perform an appender specific action.

For example the `SMTPAppender` sends an email when the `isTriggeringEvent(org.apache.log4j.spi.LoggingEvent)` method returns `true` and adds the event to an internal buffer when the returned result is `false`.

Since:
  version 1.0
Author:
  Ceki Gülcü

Method Summary
`boolean` `isTriggeringEvent(LoggingEvent event)` Is this the triggering event?

Method Detail

### isTriggeringEvent

    public boolean isTriggeringEvent(LoggingEvent event)

  Is this the triggering event?

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.